//
//  MPRootFunction.m
//  MathPad
//
//  Created by Kim Wittenburg on 11.01.15.
//  Copyright (c) 2015 Kim Wittenburg. All rights reserved.
//

#import "MPRootFunction.h"

#import "MPRootTerm.h"
#import "MPExpression.h"



@implementation MPRootFunction

MPFunctionAccessorImplementation(ExponentExpression, _exponentExpression)
MPFunctionAccessorImplementation(RootExpression, _rootExpression)


- (NSArray *)childrenAccessors
{
    return @[@"exponentExpression", @"rootExpression"];
}


- (Class)functionTermClass
{
    return [MPRootTerm class];
}


- (NSString *)description
{
    return [NSString stringWithFormat:@"Root(%@, %@)", self.exponentExpression, self.rootExpression];
}

@end
